#######################################
FROM arm32v6/alpine:3.8 as sysroot

COPY tmp/qemu-arm-static usr/bin

RUN apk update && apk --force add git build-base binutils grep findutils coreutils gcc && rm -rf /var/cache/apk/*

#######################################
FROM registry.gitlab.com/pantacor/platform-tools/docker-musl-cross-arm as crossbuilder

WORKDIR /work

COPY --from=sysroot / /sysroot-arm
COPY pvlogger.h include/pvlogger.h
COPY programs src 

WORKDIR out
RUN arm-linux-musleabihf-gcc -c -I/work/include --static -o simple ../src/simple.c
RUN arm-linux-musleabihf-gcc -c -I/work/include --static -o pvlogger ../src/pvlogger.c

#######################################
FROM arm32v6/alpine:3.8

COPY tmp/qemu-arm-static usr/bin

COPY --from=crossbuilder --chown=0:0 /work/out/simple /usr/local/bin/simple
COPY --from=crossbuilder --chown=0:0 /work/out/pvlogger /usr/local/bin/pvlogger

